Skip to content

List entity definitions.

GET
/api/workspace/entity-definitions
curl --request GET \
--url https://example.com/api/workspace/entity-definitions
  • None
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
Array<object>
nullable

Entity definition summary.

object
Id

Entity definition identifier.

string
nullable
Name

Internal entity name.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
Description

Optional entity description.

string
nullable
CommentsEnabled

Whether comments are enabled.

boolean
AttachmentsEnabled

Whether attachments are enabled.

boolean
TagsEnabled

Whether tags are enabled.

boolean
FullTextSearchEnabled

Whether full-text search is enabled for the definition.

boolean
AuditTrailEnabled

Whether audit trail is enabled.

boolean
AccessModel
integer format: int32
Allowed values: 0 1 2 3
NumberPrefix

Configured number prefix.

string
nullable
IsReadOnly

Whether runtime writes are blocked for this entity.

boolean
DisabledOperations
integer format: int32
Allowed values: 0 1 2 4 8 16 32 64 128
IsPendingDeletion

Whether the definition is frozen pending deletion.

boolean
DeletionRequestedAt

Timestamp when deferred deletion was requested.

string format: date-time
nullable
PurgeAfterUtc

Scheduled purge timestamp.

string format: date-time
nullable
UniqueConstraints

Configured unique constraints.

Array<object>
nullable

Unique constraint configured for one entity definition table.

object
Id

Constraint identifier.

string
nullable
EntityDefinitionId

Entity definition identifier.

string
nullable
EntityDefinitionTableId

Owning table identifier.

string
nullable
Fields

Ordered participating fields.

Array<object>
nullable

Field entry participating in an entity unique constraint.

object
Id

Field identifier.

string
nullable
EntityDefinitionTableId

Owning table identifier.

string
nullable
Key

Field key.

string
nullable
DisplayName

User-facing field name.

string
nullable
RowVersion

Concurrency token.

string format: uuid
RowVersion

Concurrency token.

string format: uuid
SchemaSource
integer format: int32
Allowed values: 0 1
SourceNetPackageId

Stable NET package root id when package-owned.

string
nullable
SourcePackageId

NET package artifact id when package-owned.

string
nullable
SourceStableId

Stable Moltaro id when package-owned.

string
nullable
UsageType
integer format: int32
Allowed values: 0 1 2
OwnerModuleKey

Owning module key when UsageType is Moltaro.Enums.EntityUsageTypeEnum.Part.

string
nullable
OwnerAggregateType

Owning aggregate type when UsageType is Moltaro.Enums.EntityUsageTypeEnum.Part.

string
nullable
OwnerAggregateId

Owning aggregate identifier when UsageType is Moltaro.Enums.EntityUsageTypeEnum.Part.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"AccessModel": 0,
"DisabledOperations": 0,
"SchemaSource": 0,
"UsageType": 0
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}